Gandi
probe Domains

# list_nameservers

List nameservers set for this domain and return them as a list of strings

Run it now
View details

Type | probe
Module | chaosgandi.domains.probes
Name | list_nameservers
Return | list

Usage

JSON

    {
      "name": "list-nameservers",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosgandi.domains.probes",
        "func": "list_nameservers",
        "arguments": {
          "domain": ""
        }
      }
    }

YAML

    name: list-nameservers
    provider:
      arguments:
        domain: ""
      func: list_nameservers
      module: chaosgandi.domains.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
domain | string |  | Yes | Domain | Domain to list nameservers for

See https://api.gandi.net/docs/domains/#v5-domain-domains-domain-nameservers

Signature

    def list_domains(
        fqdn_filter: str = None,
        tld_filter: str = None,
        configuration: Dict[str, Dict[str, str]] = None,
        secrets: Dict[str, Dict[str, str]] = None) -> List[Dict[str, Any]]:
      pass

    def list_nameservers(domain: str,
                         configuration: Dict[str, Dict[str, str]] = None,
                         secrets: Dict[str, Dict[str, str]] = None) -> List[str]:
        pass

## Related starters

- Gandi
  probe Domains

  ## `list_domains`

  List all domains or those matching the given TLD or FQDN filters and return the list as-is
- Gandi
  probe Domains

  ## `list_domains`

  List all domains or those matching the given TLD or FQDN filters and return the list as-is
- AWS
  probe ELBv2

  ## `is_access_log_enabled`

  Verify access logging enabled on load balancer